LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XUnoTunnel Interface Referencepublished

An interface to tunnel UNO. More...

`import "XUnoTunnel.idl";`

Inheritance diagram for XUnoTunnel:

## Public Member Functions
hyper | getSomething ([in] sequence< byte > aIdentifier)
| Call this method to get something which is not specified in UNO, e.g.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An interface to tunnel UNO.

This means providing access to data or something else, which is not specified by UNO-IDL.

Attention
  Restrictive usage. Use only, if there is no better possibility left. It is definitely a hack.

Common usage: Getting a C++ object pointer in the same process, thus to use an implementation directly, most often because of a design flaw.

Developers Guide
  Writing UNO Components - XUnoTunnel
  Writing UNO Components - Core Interfaces to Implement

## Member Function Documentation

## ◆ getSomething()

hyper getSomething | ( | [in] sequence< byte > | aIdentifier | ) |

Call this method to get something which is not specified in UNO, e.g.

an address to some C++ object.

Attention
  The identifier specifies how the return value is to be reinterpreted. The identifier must be globally unique, because it is unknown where the implementation resides.

Parameters

  aIdentifier | identifier

Returns
  something

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XUnoTunnel.idl